﻿Option Strict On

Imports System.Drawing
Imports System.Globalization
Imports System.Windows.Forms
Imports System.ComponentModel
Imports ShowMessage

Module mod_Functions

   'Setzt alle TextBoxen, ComboBoxen und CheckBoxen des übergebenden Controls zurück.
   'Allerdings NICHT die "*", dafür muss innerhalb des Controls jeweils "ShowAsterisk(False)" ausgeführt werden.
   Friend Sub mod_Functions_ChangeTextBoxesComboBoxesCheckBoxesBackToUnchanged(ByRef controlTYPE As Control)

      Dim ctrl As Control

      For Each ctrl In controlTYPE.Controls

         'Checkboxen werden nicht zurückgesetzt, sofern sie das Ausehen eines Button haben (DS - 20.03.19)
         If TypeOf ctrl Is TextBox Or TypeOf ctrl Is ComboBox Then
            ctrl.BackColor = FriendGlobal_UnchangedBackColor
         End If

         'CheckBoxen werden GARNICHT zurückgesetzt, sonst ändern sie ihre Hintergrundfarbe.
         'Das tun sie beim setzen/löschen auch nicht.
         'Also bleiben sie wie sie sind. (09.04.19 - DS)

         'If TypeOf ctrl Is CheckBox Then
         '   If DirectCast(ctrl, CheckBox).Appearance <> Appearance.Button Then
         '      ctrl.BackColor = FriendGlobal_UnchangedBackColor
         '   End If
         'End If

      Next ctrl

   End Sub

   'Gibt vom übergebenen sString iLength Zeichen von rechts zurück.
    Function mod_Functions_StringRight(sString As String, iLength As Integer) As String
        ' Get rightmost characters of specified length.
        Return sString.Substring(sString.Length - iLength)
    End Function

End Module
